Bug 870057 - [abrt] xorg-x11-server-Xorg-1.13.0-5.fc18: list_is_empty: Process /usr/bin/Xorg was killed by signal 11 (SIGSEGV)
[abrt] xorg-x11-server-Xorg-1.13.0-5.fc18: list_is_empty: Process /usr/bin/Xo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:c6ffe80ae59f5a6cc589f23ba9e...
:
: 870026 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 09:42 EDT by Jeff Bastian
Modified: 2014-02-05 07:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (646 bytes, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: environ (652 bytes, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: backtrace (6.52 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: smolt_data (2.58 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: cgroup (152 bytes, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: maps (12.62 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: dso_list (2.58 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: proc_pid_status (879 bytes, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: var_log_messages (2.89 KB, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
File: open_fds (447 bytes, text/plain)
2012-10-25 09:42 EDT, Jeff Bastian
no flags Details
/var/log/messages (176.62 KB, text/plain)
2012-11-29 08:58 EST, Jeff Bastian
no flags Details
Xorg.1.log (8.90 KB, text/plain)
2012-11-29 08:59 EST, Jeff Bastian
no flags Details
Xorg.2.log (8.90 KB, text/x-log)
2012-11-29 08:59 EST, Jeff Bastian
no flags Details
Xorg.0.log (28.54 KB, text/x-log)
2012-11-29 09:05 EST, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2012-10-25 09:42:16 EDT
Description of problem:
Sometimes gdm fails to start on boot; see bug 870026

It appears that the underlying cause is that X is crashing.  I created a /etc/X11/xorg.conf.d/serverflags.conf with contents below so that abrt could catch a coredump from X:
Section "ServerFlags"
    Option "NoTrapSignals"
EndSection

Then I restarted gdm repeatedly with 'systemctl restart gdm.service' until X crashed (it took about 20 attempts).


Version-Release number of selected component:
xorg-x11-server-Xorg-1.13.0-5.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :1 -background none -verbose -auth /var/run/gdm/auth-for-gdm-YyvZOV/database -seat seat0 -nolisten tcp vt1
crash_function: list_is_empty
kernel:         3.6.2-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (5 frames)
: #0 list_is_empty at intel_list.h:269
: #1 intel_mode_fini at intel_display.c:1774
: #2 I830FreeScreen at intel_driver.c:1077
: #3 xf86DeleteScreen at xf86Helper.c:237
: #4 InitOutput at xf86Init.c:606
Comment 1 Jeff Bastian 2012-10-25 09:42:34 EDT
Created attachment 633325 [details]
File: core_backtrace
Comment 2 Jeff Bastian 2012-10-25 09:42:36 EDT
Created attachment 633326 [details]
File: environ
Comment 3 Jeff Bastian 2012-10-25 09:42:39 EDT
Created attachment 633327 [details]
File: limits
Comment 4 Jeff Bastian 2012-10-25 09:42:44 EDT
Created attachment 633328 [details]
File: backtrace
Comment 5 Jeff Bastian 2012-10-25 09:42:46 EDT
Created attachment 633329 [details]
File: smolt_data
Comment 6 Jeff Bastian 2012-10-25 09:42:48 EDT
Created attachment 633330 [details]
File: cgroup
Comment 7 Jeff Bastian 2012-10-25 09:42:50 EDT
Created attachment 633331 [details]
File: maps
Comment 8 Jeff Bastian 2012-10-25 09:42:52 EDT
Created attachment 633332 [details]
File: dso_list
Comment 9 Jeff Bastian 2012-10-25 09:42:54 EDT
Created attachment 633333 [details]
File: proc_pid_status
Comment 10 Jeff Bastian 2012-10-25 09:42:56 EDT
Created attachment 633334 [details]
File: var_log_messages
Comment 11 Jeff Bastian 2012-10-25 09:42:59 EDT
Created attachment 633335 [details]
File: open_fds
Comment 12 Jeff Bastian 2012-10-25 09:47:04 EDT
abrt captured the Xorg server version, but not the intel driver:

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.13.0-5.fc18.x86_64
xorg-x11-drv-intel-2.20.8-1.fc18.x86_64
Comment 13 Ray Strode [halfline] 2012-10-25 10:32:28 EDT
*** Bug 870026 has been marked as a duplicate of this bug. ***
Comment 14 Adam Jackson 2012-11-28 11:33:53 EST
Can you reproduce this with intel 2.20.12?
Comment 15 Jeff Bastian 2012-11-29 08:55:43 EST
Yes and no.  I grabbed the latest version in updates-testing -- 
xorg-x11-drv-intel-2.20.14-1.fc18.x86_64 -- and I restarted gdm in a loop(*) on vt2.

gdm failed to start 2 times out of 50.

However, Xorg did not crash on either of those failures.  The Xorg process was running, but gdm failed to appear.

In my /var/log/messages, I have this from the two failures:

Nov 29 07:20:49 firefly gdm-binary[2293]: WARNING: GdmDisplay: display lasted 0.063704 seconds
Nov 29 07:20:49 firefly gdm-binary[2293]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 29 07:20:49 firefly gdm[2293]: gdm-binary[2293]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors

And again:
Nov 29 07:31:04 firefly gdm[7350]: gdm-binary[7350]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 29 07:31:04 firefly gdm-binary[7350]: WARNING: GdmDisplay: display lasted 0.051913 seconds
Nov 29 07:31:04 firefly gdm-binary[7350]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors


Meanwhile, it appears that all of my Xorg.[1-5].log files are from the same time: Nov 29 07:31:04:

# grep Log.file Xorg.*.log
Xorg.0.log:[  1550.590] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Nov 29 07:35:14 2012
Xorg.1.log:[  1300.300] (==) Log file: "/var/log/Xorg.1.log", Time: Thu Nov 29 07:31:04 2012
Xorg.2.log:[  1300.412] (==) Log file: "/var/log/Xorg.2.log", Time: Thu Nov 29 07:31:04 2012
Xorg.3.log:[  1300.465] (==) Log file: "/var/log/Xorg.3.log", Time: Thu Nov 29 07:31:04 2012
Xorg.4.log:[  1300.518] (==) Log file: "/var/log/Xorg.4.log", Time: Thu Nov 29 07:31:04 2012
Xorg.5.log:[  1300.571] (==) Log file: "/var/log/Xorg.5.log", Time: Thu Nov 29 07:31:04 2012


So it tried to start Xorg 5 times and all 5 failed?  I'll attach all my logs.


(*) gdm restart loop:

#!/bin/sh

while : ; do
    let i=i+1
    echo $i
    systemctl restart gdm.service
    sleep 10
    chvt 2
    sleep 3
done
Comment 16 Jeff Bastian 2012-11-29 08:58:51 EST
Created attachment 654292 [details]
/var/log/messages
Comment 17 Jeff Bastian 2012-11-29 08:59:23 EST
Created attachment 654293 [details]
Xorg.1.log
Comment 18 Jeff Bastian 2012-11-29 08:59:52 EST
Created attachment 654294 [details]
Xorg.2.log
Comment 19 Jeff Bastian 2012-11-29 09:03:54 EST
I won't bother attaching Xorg.{3,4,5}.log since they're identical to 1 and 2 except for the leading [timestamp] on each line.
Comment 20 Jeff Bastian 2012-11-29 09:05:20 EST
Created attachment 654297 [details]
Xorg.0.log

For comparison, the Xorg.0.log from my current session which is working fine
Comment 21 Jeff Bastian 2012-11-29 10:12:11 EST
I noticed a few other components had updates, so I updated to
  gdm-3.6.2-1.fc18.x86_64
  xorg-x11-server-Xorg-1.13.0-7.fc18.x86_64
  systemd-195-8.fc18.x86_64
and a few more

I repeated my test and gdm and Xorg successfully restarted 50 times in a row.

/me crosses fingers that this is resolved
Comment 22 Walter Neumann 2013-08-14 20:41:17 EDT
I have this problem since upgrading to FC19. No problem with earlier versions (fc9 through fc17).

Xorg logs and messages show that on boot it successfully starts X, but then when gdm tries to start it crashes X repeatedly, finally giving "GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors"

It is not fatal: waiting a little and then starting gdm using "systemctl restart gdm.service" starts gdm with no problem. After that everything is stable. So it seems to be a timing issue.

I'm using nvidia, but since it has never had a problem with earlier kernels I would guess that the nvidia module is not to blame.

kernel-PAE-3.10.5-201.fc19.i686
gdm-3.8.3-2.fc19.i686
kmod-nvidia-3.10.5-201.fc19.i686.PAE-319.32-2.fc19.2.i686
Comment 23 Fedora End Of Life 2013-12-21 04:11:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2014-02-05 07:42:48 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.